[systemd] nut-client systemd unit fails when unconfigured

Bug #1313231 reported by RussianNeuroMancer on 2014-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nut (Debian)
Fix Released
Unknown
nut (Ubuntu)
Undecided
Martin Pitt

Bug Description

nut-client can not be installed with systemd:
> Starting nut-client (via systemctl): nut-client.serviceJob for nut-monitor.service failed. See 'systemctl status nut-monitor.service' and 'journalctl -xn' for details.
> failed!

tags: added: systemd-boot
Laurent Bigonville (bigon) wrote :

Hello,

Could you please specify the version you are using and paste the output of journalctl -xn here?

Changed in nut (Ubuntu):
status: New → Incomplete

> Could you please specify the version you are using
Kubuntu 14.04 x86_64 and NUT 2.7.1 from repository.
systemd from ppa:pitti/systemd

> and paste the output of journalctl -xn
Looks like there is typical complain about not filled configs, however with upstart not filled configs doesn't lead to half-installed package ("not configured" state).

-- Logs begin at Sun 2014-04-27 10:29:05 CEST, end at Sun 2014-04-27 10:43:09 CEST. --
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 upsmon[2856]: Fatal error: insufficient power configured!
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 upsmon[2856]: Sum of power values........: 0
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 upsmon[2856]: Minimum value (MINSUPPLIES): 1
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 upsmon[2856]: Edit your upsmon.conf and change the values.
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 systemd[1]: nut-monitor.service: control process exited, code=exited status=1
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 systemd[1]: Failed to start Network UPS Tools - power device monitor and shutdown controller.
-- Subject: Unit nut-monitor.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d
--
-- Unit nut-monitor.service has failed.
--
-- The result is failed.
Apr 27 10:41:43 user-Standard-PC-i440FX-PIIX-1996 systemd[1]: Unit nut-monitor.service entered failed state.
Apr 27 10:41:46 user-Standard-PC-i440FX-PIIX-1996 sudo[2595]: pam_unix(sudo:session): session closed for user root
Apr 27 10:43:09 user-Standard-PC-i440FX-PIIX-1996 sudo[2902]: user : TTY=pts/0 ; PWD=/home/user ; USER=root ; COMMAND=/bin/journalctl -xn
Apr 27 10:43:09 user-Standard-PC-i440FX-PIIX-1996 sudo[2902]: pam_unix(sudo:session): session opened for user root by user(uid=0)

Martin Pitt (pitti) wrote :

I confirm this on a clean utopic install (unconfigured nut, no UPSes available)

Changed in nut (Ubuntu):
status: Incomplete → Triaged
summary: - [systemd] nut-client can not be installed
+ [systemd] nut-client systemd unit fails when unconfigured
Martin Pitt (pitti) on 2014-05-12
Changed in nut (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nut - 2.7.1-1ubuntu2

---------------
nut (2.7.1-1ubuntu2) utopic; urgency=medium

  * Disable systemd unit; it does not check nut.conf whether nut is
    configured, and thus fails to start (and the package install). The init.d
    script works well enough for the time being. (LP: #1313231)
 -- Martin Pitt <email address hidden> Mon, 12 May 2014 13:22:12 +0200

Changed in nut (Ubuntu):
status: Fix Committed → Fix Released
Changed in nut (Debian):
status: Unknown → New
Changed in nut (Debian):
status: New → Confirmed
Changed in nut (Debian):
status: Confirmed → Fix Released
Changed in nut (Debian):
status: Fix Released → Confirmed
Changed in nut (Debian):
status: Confirmed → Fix Released
Changed in nut (Debian):
status: Fix Released → Confirmed
Changed in nut (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.